OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.INGR.BlendFuncSeparate

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetINGRBlendFuncSeparate :: MonadIO m => m Bool
- gl_INGR_blend_func_separate :: Bool
- glBlendFuncSeparateINGR :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> m ()

# Extension Support

glGetINGRBlendFuncSeparate :: MonadIO m => m Bool

Is the INGR_blend_func_separate extension supported?

gl_INGR_blend_func_separate :: Bool

Is the INGR_blend_func_separate extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetINGRBlendFuncSeparate` in those cases instead.

# Functions

glBlendFuncSeparateINGR

Arguments

:: MonadIO m |
=> GLenum | `sfactorRGB` of type `BlendFuncSeparateParameterEXT`.
-> GLenum | `dfactorRGB` of type `BlendFuncSeparateParameterEXT`.
-> GLenum | `sfactorAlpha` of type `BlendFuncSeparateParameterEXT`.
-> GLenum | `dfactorAlpha` of type `BlendFuncSeparateParameterEXT`.
-> m () |

This command is an alias for `glBlendFuncSeparate`.